Cassandra.batch_mutate_args (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.batch_mutate_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.batch_mutate_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.batch_mutate_args>, org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.batch_mutate_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.batch_mutate_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.batch_mutate_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ConsistencyLevel` | `consistency_level`
    `static java.util.Map<Cassandra.batch_mutate_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>>` | `mutation_map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `batch_mutate_args()`
    `batch_mutate_args(Cassandra.batch_mutate_args other)` Performs a deep copy on other.
    `batch_mutate_args(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.batch_mutate_args other)`
    `Cassandra.batch_mutate_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.batch_mutate_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.batch_mutate_args._Fields` | `fieldForId(int fieldId)`
    `ConsistencyLevel` | `getConsistency_level()`
    `java.lang.Object` | `getFieldValue(Cassandra.batch_mutate_args._Fields field)`
    `java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>>` | `getMutation_map()`
    `int` | `getMutation_mapSize()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.batch_mutate_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetConsistency_level()` Returns true if field consistency_level is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutation_map()` Returns true if field mutation_map is set (has been assigned a value) and false otherwise
    `void` | `putToMutation_map(java.nio.ByteBuffer key, java.util.Map<java.lang.String,java.util.List<Mutation>> val)`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `Cassandra.batch_mutate_args` | `setConsistency_level(ConsistencyLevel consistency_level)`
    `void` | `setConsistency_levelIsSet(boolean value)`
    `void` | `setFieldValue(Cassandra.batch_mutate_args._Fields field, java.lang.Object value)`
    `Cassandra.batch_mutate_args` | `setMutation_map(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map)`
    `void` | `setMutation_mapIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetConsistency_level()`
    `void` | `unsetMutation_map()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mutation_map

          public java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map

    - #### consistency_level

          public ConsistencyLevel consistency_level

      See Also:
        `ConsistencyLevel`

    - #### metaDataMap

          public static final java.util.Map<Cassandra.batch_mutate_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### batch_mutate_args

          public batch_mutate_args()

    - #### batch_mutate_args

          public batch_mutate_args(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                                   ConsistencyLevel consistency_level)

    - #### batch_mutate_args

          public batch_mutate_args(Cassandra.batch_mutate_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.batch_mutate_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`

    - #### getMutation_mapSize

          public int getMutation_mapSize()

    - #### putToMutation_map

          public void putToMutation_map(java.nio.ByteBuffer key,
                                        java.util.Map<java.lang.String,java.util.List<Mutation>> val)

    - #### getMutation_map

          public java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> getMutation_map()

    - #### setMutation_map

          public Cassandra.batch_mutate_args setMutation_map(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map)

    - #### unsetMutation_map

          public void unsetMutation_map()

    - #### isSetMutation_map

          public boolean isSetMutation_map()

      Returns true if field mutation_map is set (has been assigned a value) and false otherwise

    - #### setMutation_mapIsSet

          public void setMutation_mapIsSet(boolean value)

    - #### getConsistency_level

          public ConsistencyLevel getConsistency_level()

      See Also:
        `ConsistencyLevel`

    - #### setConsistency_level

          public Cassandra.batch_mutate_args setConsistency_level(ConsistencyLevel consistency_level)

      See Also:
        `ConsistencyLevel`

    - #### unsetConsistency_level

          public void unsetConsistency_level()

    - #### isSetConsistency_level

          public boolean isSetConsistency_level()

      Returns true if field consistency_level is set (has been assigned a value) and false otherwise

    - #### setConsistency_levelIsSet

          public void setConsistency_levelIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.batch_mutate_args._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.batch_mutate_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.batch_mutate_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.batch_mutate_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.batch_mutate_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.batch_mutate_args>`

    - #### fieldForId

          public Cassandra.batch_mutate_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.batch_mutate_args,Cassandra.batch_mutate_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation